Index: trunk/sources/HeuristicLab.Routing.TSP/3.3/HeuristicLab.Routing.TSP-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Routing.TSP/3.3/HeuristicLab.Routing.TSP-3.3.csproj	(revision 2546)
+++ trunk/sources/HeuristicLab.Routing.TSP/3.3/HeuristicLab.Routing.TSP-3.3.csproj	(revision 2790)
@@ -85,33 +85,9 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="TSPTourInjector.cs" />
-    <Compile Include="TSPTourView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="TSPTourView.Designer.cs">
-      <DependentUpon>TSPTourView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="TSPTour.cs" />
-    <Compile Include="TSPInjectorView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="TSPInjectorView.Designer.cs">
-      <DependentUpon>TSPInjectorView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="TSPRoundedEuclideanDistanceMatrixInjector.cs" />
-    <Compile Include="TSPDistanceMatrixInjectorBase.cs" />
-    <Compile Include="DistanceMatrixPathTSPEvaluator.cs" />
-    <Compile Include="PathTSPEvaluatorBase.cs" />
+    <None Include="HeuristicLabRoutingTSPPlugin.cs.frame" />
     <Compile Include="HeuristicLabRoutingTSPPlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="RoundedEuclideanPathTSPEvaluator.cs" />
-    <Compile Include="TSPInjector.cs" />
-    <Compile Include="TSPParser.cs" />
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Charting\3.3\HeuristicLab.Charting-3.3.csproj">
-      <Project>{A8265018-D687-4907-8A36-63B25967A038}</Project>
-      <Name>HeuristicLab.Charting-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Core.Views\3.3\HeuristicLab.Core.Views-3.3.csproj">
       <Project>{E226881D-315F-423D-B419-A766FE0D8685}</Project>
@@ -155,14 +131,4 @@
     <None Include="Properties\AssemblyInfo.frame" />
   </ItemGroup>
-  <ItemGroup>
-    <EmbeddedResource Include="TSPTourView.resx">
-      <DependentUpon>TSPTourView.cs</DependentUpon>
-      <SubType>Designer</SubType>
-    </EmbeddedResource>
-    <EmbeddedResource Include="TSPInjectorView.resx">
-      <DependentUpon>TSPInjectorView.cs</DependentUpon>
-      <SubType>Designer</SubType>
-    </EmbeddedResource>
-  </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
@@ -179,5 +145,6 @@
 set Outdir=$(Outdir)
 
-call PreBuildEvent.cmd</PreBuildEvent>
+call PreBuildEvent.cmd
+SubWCRev "%25ProjectDir%25\" "%25ProjectDir%25\HeuristicLabRoutingTSPPlugin.cs.frame" "%25ProjectDir%25\HeuristicLabRoutingTSPPlugin.cs"</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: trunk/sources/HeuristicLab.Routing.TSP/3.3/HeuristicLabRoutingTSPPlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.Routing.TSP/3.3/HeuristicLabRoutingTSPPlugin.cs	(revision 2546)
+++ 	(revision )
@@ -1,44 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.Routing.TSP {
-  /// <summary>
-  /// Plugin class for HeuristicLab.Routing.TSP plugin
-  /// </summary>
-  [ClassInfo(Name = "HeuristicLab.Routing.TSP-3.3")]
-  [PluginFile(Filename = "HeuristicLab.Routing.TSP-3.3.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core-3.3")]
-  [Dependency(Dependency = "HeuristicLab.Core.Views-3.3")]
-  [Dependency(Dependency = "HeuristicLab.Data-3.3")]
-  [Dependency(Dependency = "HeuristicLab.MainForm-3.2")]
-  [Dependency(Dependency = "HeuristicLab.MainForm.WindowsForms-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Operators-3.3")]
-  [Dependency(Dependency = "HeuristicLab.Permutation-3.3")]
-  [Dependency(Dependency = "HeuristicLab.Charting-3.3")]
-  [Dependency(Dependency = "HeuristicLab.Persistence-3.3")]
-  public class HeuristicLabRoutingTSPPlugin : PluginBase {
-  }
-}
Index: trunk/sources/HeuristicLab.Routing.TSP/3.3/HeuristicLabRoutingTSPPlugin.cs.frame
===================================================================
--- trunk/sources/HeuristicLab.Routing.TSP/3.3/HeuristicLabRoutingTSPPlugin.cs.frame	(revision 2790)
+++ trunk/sources/HeuristicLab.Routing.TSP/3.3/HeuristicLabRoutingTSPPlugin.cs.frame	(revision 2790)
@@ -0,0 +1,43 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Routing.TSP {
+  /// <summary>
+  /// Plugin class for HeuristicLab.Routing.TSP plugin
+  /// </summary>
+  [Plugin("HeuristicLab.Routing.TSP", "3.3.0.$WCREV$")]
+  [PluginFile("HeuristicLab.Routing.TSP-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Core.Views", "3.3")]
+  [PluginDependency("HeuristicLab.Data", "3.3")]
+  [PluginDependency("HeuristicLab.MainForm", "3.2")]
+  [PluginDependency("HeuristicLab.MainForm.WindowsForms", "3.2")]
+  [PluginDependency("HeuristicLab.Operators", "3.3")]
+  [PluginDependency("HeuristicLab.Permutation", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  public class HeuristicLabRoutingTSPPlugin : PluginBase {
+  }
+}
Index: trunk/sources/HeuristicLab.Routing.TSP/3.3/Properties/AssemblyInfo.frame
===================================================================
--- trunk/sources/HeuristicLab.Routing.TSP/3.3/Properties/AssemblyInfo.frame	(revision 2546)
+++ trunk/sources/HeuristicLab.Routing.TSP/3.3/Properties/AssemblyInfo.frame	(revision 2790)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,4 @@
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
-using HeuristicLab.PluginInfrastructure;
 
 // General Information about an assembly is controlled through the following 
@@ -33,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2008 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2010 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -54,5 +53,4 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.3.0.$WCREV$")]
+[assembly: AssemblyVersion("3.3.0.0")]
 [assembly: AssemblyFileVersion("3.3.0.$WCREV$")]
-[assembly: AssemblyBuildDate("$WCNOW$")]
